Package Base Details: xorg-server-git

Git Clone URL: https://aur.archlinux.org/xorg-server-git.git (read-only, click to copy)
Keywords: git x-server xorg xorg-server
Submitter: ilikenwf
Maintainer: JstKddng (yurikoles)
Last Packager: yurikoles
Votes: 49
Popularity: 0.000179
First Submitted: 2008-08-07 19:05 (UTC)
Last Updated: 2022-07-21 09:15 (UTC)

Pinned Comments

yurikoles commented on 2022-03-18 01:04 (UTC)

check() function was added, if unit tests fail, you may ignore them by appending --nocheck to makepkg.

yurikoles commented on 2019-05-29 15:00 (UTC)

PRs are welcome: https://github.com/yurikoles-aur/xorg-server-git

Latest Comments

1 2 3 4 5 6 .. 23 Next › Last »

yurikoles commented on 2022-03-18 21:13 (UTC)

@JstKddng

Sorry, it just makes no sense without knowing that fact. I returned it back.

JstKddng commented on 2022-03-18 18:26 (UTC)

@yurikoles

man you keep removing my _srcurl variable. That guy's there for my daily automatic builds ;)

yurikoles commented on 2022-03-18 01:04 (UTC)

check() function was added, if unit tests fail, you may ignore them by appending --nocheck to makepkg.

yurikoles commented on 2022-03-18 01:02 (UTC)

@JstKddng

I refactored pkgver() and removed unused variables.

juxuanu commented on 2022-02-09 16:52 (UTC)

error: failed to prepare transaction (could not satisfy dependencies)
:: installing xorg-server-git (21.0.99.1.r170.g1801fe0ac-1) breaks dependency 'xorg-server' required by gdm-plymouth

You removed provides = (... xorg-server ...). Why? This breaks being able to replace xorg stable package with this one.

gardotd426 commented on 2022-02-03 04:07 (UTC)

Considering this package uses newer code than the stable release xorg-server, I'd say in addition to my other suggestion for fixing the naming scheme, and honestly probably even more important than that, is fixing the X-ABI-VIDEODRV_VERSION. xorg-server is on 25.2. This package reports 24. That makes it impossible to install things like xf86-video-fbdev because it requires a version greater than 24 and less than 26 (as of me typing this).

gardotd426 commented on 2021-11-23 15:29 (UTC) (edited on 2021-12-08 22:50 (UTC) by gardotd426)

The versioning method needs to be changed. I've come up with a proper one, read on for the explanation and one-liner:

The current method gives the incorrect version (21.0.99). The xserver repo's meson.build always contains the correct version (currently 21.1.99.1).

Still use git describe to append the current commit hash to the end of the pkgver, but not use it for the pkgver number. Because right now, you end up with xorg-server-git 21.0.99.1.r127.gda9d012a9-1, but it's really 21.1.99. 21.1.1 was released a few weeks ago.

Since meson.build always has the proper version, I actually have tweaked your command into a one-liner that will always get the correct version:

git describe --long --tags | sed "s/$(git describe --long --tags | cut -d- -f3)/$(grep -m 1 version meson.build | awk '{print $2}' | sed "s/'//g;s/,//g")/g" | sed 's/^xorg.server.//;s/\([^-]*-g\)/r\1/;s/-/./g' gives us:

21.1.99.1.r127.gda9d012a9

and the package named: xorg-server-git-21.1.99.1.r127.gda9d012a9-1-x86_64.pkg.tar.zst

So literally all you have to do is replace the one line in the PKGBUILD, and xorg-server-git will always be the true accurate version. This will avoid situations like the current one where xorg-server is on 21.1.1 but xorg-server-git is on 20.0.99 despite being actually built on 21.1.99.

You could also take a slightly different versioning approach like other -git packages do (for example libva-vdpau-driver-vp9-git) and use git rev-parse and rev-list, and use this:

printf ".r%s.g%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" | sed "s/^/$(grep -m 1 version meson.build | awk '{print $2}' | cut -d"'" -f2)/g"

which gives:

xorg-server-git-21.1.99.1.r17753.gda9d012a9-1-x86_64.pkg.tar.zst

Either one will always make sure the version is correct while appending the commit hash, the way it should be.

EndlessEden commented on 2021-09-19 01:05 (UTC)

ERROR: Unknown options: "os_vendor"

feral_hedgehog commented on 2021-08-13 21:59 (UTC) (edited on 2021-08-13 21:59 (UTC) by feral_hedgehog)

Hello! cvt support appears to have moved to a separate libxcvt library.
build() currently fails if the package is missing and package_xorg-server-git() fails if it's installed (it tries to copy the now missing cvt binary and manpage).
Could you please update the deps and _install?

Thank you for this package!

tsweet64 commented on 2021-07-15 21:24 (UTC)

This needs xorgproto-git to compile